import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    type: z.string(),
    token: z.string(),
    typeToken: z.string(),
    description: z.string(),
    createdAt: z.string(),
    updatedAt: z.string(),
    expiryStarts: z.string().nullable().optional(),
    expiryEnds: z.string().nullable().optional(),
});

export type schemaType = z.infer<typeof schema>;